Bug 249640 - todo conduit crash
todo conduit crash
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-25 18:37 EDT by Fabrice Bellet
Modified: 2008-01-11 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.10.3-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-11 17:02:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2007-07-25 18:37:57 EDT

I observe a crash of gpilotd while syncing a palm tungsten e2 todo list. The
problem occurs when adding a task on the pda, and syncing it to the pc, when no
due date is defined.

When no due date is set, from the pilot-link struct ToDo structure, indefinite
is 1, and the struct tm due contains just garbage (*) that causes the crash. So
a possible patch is to test todo.indefinite in comp_from_remote_record(), before
handling the struct tm due date.

--- evolution-2.10.3/calendar/conduits/todo/todo-conduit.c.orig 2007-04-09
15:10:34.000000000 +0200
+++ evolution-2.10.3/calendar/conduits/todo/todo-conduit.c      2007-07-25
16:39:24.000000000 +0200
@@ -992,7 +992,7 @@
                        e_cal_component_set_status (comp, ICAL_STATUS_NEEDSACTION);

-       if (!is_empty_time (todo.due)) {
+       if (!todo.indefinite && !is_empty_time (todo.due)) {
                due = tm_to_icaltimetype (&todo.due, TRUE);
                dt.value = &due;
                e_cal_component_set_due (comp, &dt);

(*) should we consider this behaviour as a bug in pilot-link instead ?
Comment 1 Fabrice Bellet 2007-07-26 13:13:18 EDT
upstream BR is http://bugzilla.gnome.org/show_bug.cgi?id=442329 and also
probably http://bugzilla.gnome.org/show_bug.cgi?id=438239.
Comment 2 Matt Davey 2007-11-03 13:33:12 EDT
Matthew: in the absence of an update to evolution, this patch should be added to
the evolution package as it affects current fc7 users I believe (judging by a
recent post to the gnome-pilot-list).
Comment 3 Matthew Barnes 2007-11-03 16:21:27 EDT
Fixed in evolution-2.10.3-7.fc7.  Pushed to Testing.

Fedora 8 and Rawhide should already have this fix.
Comment 4 Fedora Update System 2007-11-09 18:41:07 EST
evolution-2.10.3-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution'
Comment 5 Milan Crha 2007-11-21 07:49:51 EST
Closing as current release. Feel free to reopen if the problem persist on the
2.10.3-7.fc7. Thanks for your help.
Comment 6 Fedora Update System 2008-01-11 17:02:21 EST
evolution-2.10.3-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.